# Algoritmos de Subarray Máximo e Multiplicação de Matrizes

Este pacote fornece implementações de algoritmos clássicos para solucionar o problema do subarray máximo e para a multiplicação de matrizes, como descrito no livro "Introduction to Algorithms" por Cormen et al., especificamente no Capítulo 4.

## Conteúdo

1. **Algoritmo de Força Bruta para o Subarray Máximo**
   - Explora todas as combinações possíveis de subarrays para encontrar aquele com a maior soma.

2. **Algoritmo Recursivo para o Subarray Máximo**
   - Utiliza a técnica de dividir e conquistar para resolver o problema de forma mais eficiente do que a abordagem de força bruta.

3. **Algoritmo de Strassen para Multiplicação de Matrizes**
   - Um método eficiente que reduz a complexidade computacional da multiplicação de matrizes grande usando uma abordagem de dividir e conquistar.

4. **Algoritmos Alternativos para Multiplicação de Matrizes**
   - Inclui a multiplicação básica de matrizes e o método recursivo direto, precedendo a discussão do algoritmo de Strassen.

## Instalação

Para instalar este pacote, execute o seguinte comando:

```bash
pip install EliveltonAlgoritmosII
